---
title: Retrieve Statistics by Date
description: Returns an array of statistics for a specific month.
url: https://storyblok.com/docs/api/management/statistics/retrieve-statistics-by-date
---

# Retrieve Statistics by Date

GET

```html
https://mapi.storyblok.com/v1/spaces/:space_id/statistics/:date
```

Returns an array of statistics objects tracked in a specific space during the requested month.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of the space.
    
-   `:date` (required) (string)
    
    Date in `YYYY-MM-DD` format (returns statistics for the entire month).
    

## Response properties

-   `statistic` (object\[\])
    
    An array of statistics objects for a specific space.
    
    Show child properties
    
    -   `id` (number)
        
        The numeric ID of the API request record.
        
    -   `counting` (number)
        
        The number of API requests made on the specified day of the month.
        
    -   `total_bytes` (number)
        
        The total bandwidth (in bytes) consumed by the API requests on a specific day. Returns `null` if the bandwidth hasn’t been calculated yet.
        
    -   `created_at` (string)
        
        The day that the system logged the API usage.
        
    

## Examples

Example Request

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/44203/statistics/2026-03-01" \
      -H "Authorization: YOUR_OAUTH_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.get('spaces/44203/statistics/2026-03-01', {})
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $client->get('spaces/44203/statistics/2026-03-01')->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/44203/statistics/2026-03-01")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/44203/statistics/2026-03-01");
    var request = new RestRequest(Method.GET);
    
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/44203/statistics/2026-03-01"
    
    querystring = {}
    
    payload = ""
    headers = {
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    client.get('spaces/44203/statistics/2026-03-01')
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    let request = URLRequest(storyblok: storyblok, path: "spaces/44203/statistics/2026-03-01")
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.get("spaces/44203/statistics/2026-03-01")
    
    println(response.body<JsonElement>())
    ```

Response Example

```json
{
  "statistics": [
    {
      "id": 155721213373372,
      "counting": 11,
      "total_bytes": 275000,
      "created_at": "2026-03-16"
    },
    {
      "id": 156075121263581,
      "counting": 59,
      "total_bytes": 6558205,
      "created_at": "2026-03-17"
    },
    {
      "id": 156428992253001,
      "counting": 12,
      "total_bytes": 365838,
      "created_at": "2026-03-18"
    },
    {
      "id": 156782884025556,
      "counting": 13,
      "total_bytes": 325000,
      "created_at": "2026-03-19"
    }
  ]
}
```

## Pagination

-   [Previous: Retrieve Assets Traffic Statistics](/docs/api/management/statistics/retrieve-assets-traffic-statistics)
-   [Next: Stories](/docs/api/management/stories)
